﻿import { Component,  Input, OnChanges, Output, ViewChild } from '@angular/core';
import { Globalize } from '@mescius/wijmo';

@Component({
  selector: 'median-age-tile',
  templateUrl: './median-age-tile.component.html',
})
export class MedianAgeTileComponent implements OnChanges {
  @Input() data: any;
  @Input() palette: any;

  ageData: any;
  format = Globalize.format; 

  ngOnChanges(changes: any) {
    if(changes.data && this.data) {
      this.ageData = [
        {
          name: '子供',
          value: this.data.pop15
        },
        {
          name: '若者',
          value: this.data.pop15_24
        },
        {
          name: '成人',
          value: this.data.pop25_64
        },
        {
          name: 'シニア',
          value: this.data.pop64
        }
      ];
    }
  }
}
